Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115701 - Review Request: nodejs-portscanner - Asynchronous port scanner for Node.js
Summary: Review Request: nodejs-portscanner - Asynchronous port scanner for Node.js
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1115670
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:08 UTC by Ralph Bean
Modified: 2014-08-15 02:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 18:22:03 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:08:28 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-portscanner.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-portscanner-1.0.0-1.fc20.src.rpm

Description:
The portscanner module is an asynchronous JavaScript port scanner for Node.js.

Comment 1 Parag AN(पराग) 2014-07-17 16:31:05 UTC
Review:

+ mock build is successful for f22

- rpmlint output on rpms gave
nodejs-portscanner.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-portscanner.src: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-portscanner.x86_64: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-portscanner.x86_64: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-portscanner.x86_64: E: no-binary
nodejs-portscanner.x86_64: W: only-non-binary-in-usr-lib
nodejs-portscanner.x86_64: W: dangling-symlink /usr/lib/node_modules/portscanner/node_modules/async /usr/lib/node_modules/async
nodejs-portscanner-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

==> See suggestion below

+ Source verified with upstream as (sha256sum)
srpm tarball     :20195e1ab19d851ebe3d595218b376a1e4486035d627d0262fe0d4ba3fa8e1f5
upstream tarball :20195e1ab19d851ebe3d595218b376a1e4486035d627d0262fe0d4ba3fa8e1f5

+ License "MIT" is valid and is included in its own file as %doc.

+ rest looks following packaging guidelines



Suggestions:
1) Add following to spec
BuildArch:  noarch

%if 0%{?fedora} >= 19
ExclusiveArch:  %{nodejs_arches} noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

Comment 2 Ralph Bean 2014-07-21 18:59:53 UTC
New release your address your suggestion:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-portscanner.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-portscanner-1.0.0-2.fc20.src.rpm

Comment 3 Parag AN(पराग) 2014-07-22 03:40:53 UTC
Thanks for the update. New srpm looks good.

APPROVED.

Comment 4 Ralph Bean 2014-07-22 14:12:19 UTC
New Package SCM Request
=======================
Package Name: nodejs-portscanner
Short Description: Asynchronous port scanner for Node.js
Upstream URL: https://npmjs.org/package/portscanner
Owners: ralph
Branches: f21,f20,f19,epel7,el6
InitialCC:

Comment 5 Gwyn Ciesla 2014-07-22 14:40:37 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-07-22 17:39:26 UTC
nodejs-portscanner-1.0.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-portscanner-1.0.0-2.fc20

Comment 7 Fedora Update System 2014-07-22 17:39:38 UTC
nodejs-portscanner-1.0.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-portscanner-1.0.0-2.fc19

Comment 8 Ralph Bean 2014-07-22 18:22:03 UTC
Buildroot overrides have been created.

Comment 9 Fedora Update System 2014-08-15 02:32:06 UTC
nodejs-portscanner-1.0.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-08-15 02:56:45 UTC
nodejs-portscanner-1.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.